<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<form action="up.php" method="post" enctype="multipart/form-data" name="form1" id="form1">
  <input type="file" name="img" id="img" />
  <input type="submit" name="button" id="button" value="上传图片" />
</form>
<?php


if (!empty($_FILES["img"]["name"])) { //提取文件域内容名称，并判断 
$path="uppic/"; //上传路径 
if(!file_exists($path)) 
{ 
//检查是否有该文件夹，如果没有就创建，并给予最高权限 
mkdir("$path", 0700); 
}//END IF 
//允许上传的文件格式 
$tp = array("image/gif","image/pjpeg","image/jpeg"); 

//检查上传文件是否在允许上传的类型 
if(!in_array($_FILES["img"]["type"],$tp)) 
{ 
echo "<script>alert('格式不对');history.go(-1);</script>"; 
exit; 
}//END IF 
$filetype = $_FILES['img']['type']; 
if($filetype == 'image/jpeg'){ 
$type = '.jpg'; 
} 
if ($filetype == 'image/jpg') { 
$type = '.jpg'; 
} 
if ($filetype == 'image/pjpeg') { 
$type = '.jpg'; 
} 
if($filetype == 'image/gif'){ 
$type = '.gif'; 
} 
if($_FILES["img"]["name"]) 
{ 
$today=date("YmdHis"); //获取时间并赋值给变量 
$file2 = $path.$today.$type; //图片的完整路径 
$img = $today.$type; //图片名称 
$flag=1; 
}//END IF 
if($flag) $result=move_uploaded_file($_FILES["img"]["tmp_name"],$file2); 
echo "<script>window.parent.func('<p><img src=/".$file2." ></p>');</script>";


//特别注意这里传递给move_uploaded_file的第一个参数为上传到服务器上的临时文件 
}//END IF 
//这里再将$img的值写入到数据库中对应的字段 

?>